import { AfterViewInit } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import { NgxTreeService } from '../ngx-tree-lib.service';
import { TreeModel, TreeConfig, TreeItemOptions } from '../models/tree-view.model';
import { TranslateService } from "@ngx-translate/core";
export declare class NgxTreeChildrenComponent implements AfterViewInit {
    private treeService;
    private fb;
    private tr;
    showError: boolean;
    config: TreeConfig;
    language: string;
    element: TreeModel;
    draggable: boolean;
    itemOptions: TreeItemOptions;
    childrenArray: TreeModel[];
    renameForm: any;
    setItem: TreeModel;
    constructor(treeService: NgxTreeService, fb: FormBuilder, tr: TranslateService);
    enableSubscribers(): void;
    getTitleFromLocalized(strings: any): string;
    setOptions(options: any): void;
    setValue(item: any, options: any): void;
    createForm(): void;
    enableRenameMode(element: any): void;
    submitAdd(name: any, item: any): void;
    submitRename(item: any): void;
    onSubmitDelete(item: any): void;
    ngAfterViewInit(): void;
}
